================================================================================
Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================

INTEL Enterprise Products and Services Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

================================================================================

DATE    : February 26, 2013
TO      : Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version 01.08.0003

================================================================================
                           LEGAL INFORMATION
================================================================================

INFORMATION IN THIS DOCUMENT IS PROVIDED IN CONNECTION WITH INTEL PRODUCTS. NO 
LICENSE, EXPRESS OR IMPLIED, BY ESTOPPEL OR OTHERWISE, TO ANY INTELLECTUAL 
PROPERTY RIGHTS IS GRANTED BY THIS DOCUMENT. EXCEPT AS PROVIDED IN INTEL'S TERMS 
AND CONDITIONS OF SALE FOR SUCH PRODUCTS, INTEL ASSUMES NO LIABILITY WHATSOEVER 
AND INTEL DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY, RELATING TO SALE AND/OR USE 
OF INTEL PRODUCTS INCLUDING LIABILITY OR WARRANTIES RELATING TO FITNESS FOR A 
PARTICULAR PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY PATENT, COPYRIGHT OR 
OTHER INTELLECTUAL PROPERTY RIGHT. 

A "Mission Critical Application" is any application in which failure of the Intel 
Product could result, directly or indirectly, in personal injury or death. SHOULD 
YOU PURCHASE OR USE INTEL'S PRODUCTS FOR ANY SUCH MISSION CRITICAL APPLICATION, 
YOU SHALL INDEMNIFY AND HOLD INTEL AND ITS SUBSIDIARIES, SUBCONTRACTORS AND 
AFFILIATES, AND THE DIRECTORS, OFFICERS, AND EMPLOYEES OF EACH, HARMLESS AGAINST 
ALL CLAIMS COSTS, DAMAGES, AND EXPENSES AND REASONABLE ATTORNEYS' FEES ARISING OUT 
OF, DIRECTLY OR INDIRECTLY, ANY CLAIM OF PRODUCT LIABILITY, PERSONAL INJURY, OR 
DEATH ARISING IN ANY WAY OUT OF SUCH MISSION CRITICAL APPLICATION, WHETHER OR NOT 
INTEL OR ITS SUBCONTRACTOR WAS NEGLIGENT IN THE DESIGN, MANUFACTURE, OR WARNING OF 
THE INTEL PRODUCT OR ANY OF ITS PARTS. 

Intel may make changes to specifications and product descriptions at any time, 
without notice. Designers must not rely on the absence or characteristics of any 
features or instructions marked "reserved" or "undefined". Intel reserves these for 
future definition and shall have no responsibility whatsoever for conflicts or 
incompatibilities arising from future changes to them. The information here is 
subject to change without notice. Do not finalize a design with this information. 

The products described in this document may contain design defects or errors known 
as errata which may cause the product to deviate from published specifications. 
Current characterized errata are available on request. 

Contact your local Intel sales office or your distributor to obtain the latest 
specifications and before placing your product order. 

Copies of documents which have an order number and are referenced in this document, 
or other Intel literature, may be obtained by calling 1-800-548-4725, 
or go to: http://www.intel.com/design/literature.htm

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2013 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : SE5C600.86B.01.08.0003.022620131521
Build Date  : February 26, 2013

================================================================================
                           Supported Platforms
================================================================================        
        S2400BB
        S2600CP	
        S2600CO 	
        W2600CR 
        S2400EP	
        S2400GP			
        S2600GL 
        S2600GZ 	
        S2600IP				
        S2600JF		
        S2400LP	
        S2600KI 
        S2400SC	
        S2600WP 
        S4600LH 
        S1400SP 
        S1400FP
        S1600JP 
	
================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
Intel(R) Xeon processor E5-4600/2600/2400 series
Intel(R) Xeon processor E5-2600 v2 series bootable only

Microcode update versions:
Intel(R) Xeon processor E5-4600/2600/2400 series C0 stepping: 0x80000513 CPUID = 0x206D5
Intel(R) Xeon processor E5-4600/2600/2400 series C1 stepping: 0x80000619 CPUID = 0x206D6
Intel(R) Xeon processor E5-4600/2600/2400 series C2 stepping: 0x8000070D CPUID = 0x206D7
Intel(R) Xeon processor E5-4600/2600/2400 v2 series pre-production C0 stepping: 0x405 CPUID = 0x306e4


On-Board Component Option ROM Versions:
Integrated BMC Matrox VGA           : VBE BIOS V3.8 SQ
1G PXE Option ROM                   : Intel(R) Boot Agent GE v1.4.04
10G PXE Option ROM                  : Intel(R) Boot Agent XE v2.2.08
iSCSI Option ROM                    : Intel(R) iSCSI Remote Boot version 2.7.128
FCoE Option ROM                     : Intel(R) 10G FCoE OpROM v1.7.20
SAS RAID Option ROM - RSTe          : 3.6.0.1023
SATA RAID Option ROM - RSTe         : 3.6.0.1023
SATA RSTe EFI driver Version        : 3.6.0.1023
SAS RSTe EFI driver Version         : 3.6.0.1023
SATA ESRTII RAID Option ROM - AHCI  : AHCI.01061105I
SAS ESRTII RAID Option ROM - SCU    : SCU.08021201I
ACM                                 : V1.4F  
Intel(R) QPI Reference Code Version : 01.60.00.A8
Memory Reference Code Version       : 01.60.00.A8

Management Engine Firmware Version  : 02.01.07.112

================================================================================
			INSTALLATION NOTES
================================================================================
   1.  Boot the system into the EFI Shell
   2.  Copy UEFI iFlash32 11.0 Build 8, ipmi.efi and BIOS capsule file to a HD or 
       USB Flash Drive
   3.  Map the respective storage device in the system with the command
	   Shell> map -r
   4.  Change the Shell to the mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility at the prompt
	   fs0:\> IFlash32 [File Name] /u /ni
   6.  Reboot system, press F2 to setup and check BIOS ID. If BIOS ID is upgraded 
       version the BIOS updated successfully.
   7.  Do *NOT* interrupt the BIOS POST during the first boot.  

================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================
BIOS RECOVERY INSTRUCTIONS: 
      The Recovery process can be initiated by setting the recovery jumper 
      (called BIOS Recovery Boot Jumper).
       
      A BIOS recovery can be accomplished from a USB Mass Storage device. 
      
      Please note that recovery from USB floppy is not supported on this platform. 
       
      The recovery media must contain the following files under the root directory:
   	1.  RML.ROM 
   	2.  UEFI iFlash32 11.0 Build 8 (including ipmi.efi )
   	3.  *Rec.CAP
   	4.  BIOS.nsh (update accordingly to use proper *Rec.CAP file)
 
      BIOS starts the recovery process by first loading and booting to the recovery 
      image file (RML.ROM) on the root directory of the recovery media (USB disk).
      This process takes place before any video or console is available. Once the 
      system boots to this recovery image file, it will boot automatically into EFI 
      Shell to invoke the BIOS.nsh script and start the flash update application 
      (IFlash32.efi). IFlash32.efi requires the supporting BIOS Capsule image file 
      (*Rec.CAP). After the update is complete, there will be a message displayed 
      stating that the "BIOS has been updated successfully" indicating the recovery 
      process is finished. The User should then switch the recovery jumper back to 
      normal operation and restart the system by performing a power cycle.
 
      The following steps demonstrate this recovery process:
   	1.  Power OFF the system.
   	2.  Insert recovery media.
   	3.  Switch the recovery jumper. Details regarding the jumper ID and location
            can be obtained from the Board EPS for that Platform.
   	4.  Power ON the system.
   	5.  The BIOS POST screen will appear displaying the progress and system 
            automatically boots to the EFI SHELL.
   	6.  BIOS.nsh file executes, and initiates the flash update (IFlash32.efi)
            with new capsule file (*Rec.CAP). The regular IFlash message will be 
            displayed at the end of the process, once the flash update succeeds.
   	7.  Power OFF the system, and revert the recovery jumper position to 
            "normal operation".
   	8.  Power ON the system. 
   	9.  Do *NOT* interrupt the BIOS POST during the first boot.

================================================================================
				KNOWN ISSUES/WORKAROUND
================================================================================
- None

================================================================================   
 				BIOS 01.08.0003
=================================================================================
- Added C0 microcode version 0x405 for Intel(R) Xeon processor E5-4600/2600/2400 v2.

NOTE:This BIOS does *not* support Intel(R) Xeon processor E5-4600/2600/2400 v2 steppings earlier than C0.

================================================================================   
 				BIOS 01.08.0002
=================================================================================
- Fixed: Quiet Boot option doesn't work sometimes. 

Others:
 - Does not display add-in card option rom in Quite Boot Mode.

================================================================================   
 				BIOS 01.08.0001
=================================================================================
- Fixed: BIOS can't automatically detect the boot files on the local HDD in EFI optimized boot mode.
- Fixed: Utility such as DMIDECODE and SYSCFG utility can't get SMBIOS information 
         under UEFI RHEL 6.2.   
- Fixed: Device on PCIe slot 4 cannot be recognized on Intel(R) Server Board S2400SC.
- Fixed: NIC1 Port2 PXE still shows as a boot option even when disabled in setup on 
	 on Intel(R) Server Board S1400SP.
- Fixed: Some add-on graphics card have compatibility issues with Microsoft* Windows* 7.
- Fixed: The length of BMC user password doesn't meet the specification.
- Fixed: S3 resume will hang sometimes.
- Fixed: NM Power reading is incorrect on Intel(R) Server Boards S2400SC and S2400EP.
- Fixed: Issue on Intel(R) Workstation Board W2600CR2 w/ Nvidia* Quadro* K5000 video adapter.

Others:
 - Add Fast Video feature on multiple platforms.
 - Update Onboard LAN Oprom incl. 1G/10G PXE, 10G FCoE, iSCSI.
 - Update ACM version.
 - Add support for the Intel(R) Xeon processor E5-2600 v2 series - bootable only. 
 - Add a warning message for the first boot if an Intel(R) Xeon processor E5-2600 v2
   production processor is inserted.
 - Add NTB support for Intel(R) Server Board S2600CO.
 - Serial Over Lan function works if Console Redirection is either disabled or enabled.
 - Update ME version.
  
================================================================================   
 				BIOS 01.07.0001
================================================================================= 
- Fixed: Update USB Stack to fix several USB issues.
- Fixed: HDD Driver Fault LED can't be set on Intel(R) Server Board S2400LP.
- Fixed: Update BIOS to higher UEFI version causes some failures with the flash utility.
- Fixed: System will hang after setting NIC1 Port1 to Disabled and then performing a reboot on Intel(R)
         Server Board S4600LH.
- Fixed: Correct SMBIOS Type 8 E-USB Connector Port Type on Intel(R) Server Board S4600LH.

Others:
 - Update help strings for setup item "Memory SPD Override".
 - Add Intel(R) Server Board S4600LH support for production.
 - Update Board Pre-link Initial Values, VGA selection routine to cover up to four sockets
   on Intel(R) Server Board S4600LH.
 
================================================================================   
 				BIOS 01.06.0002
=================================================================================   
Others:
- Add fix to avoid the potential issues by limiting the PCIe slot speed to Gen2 unless
  the add-in adapters are PCIe Gen 3 qualified on the Intel?Server Platforms.

================================================================================   
 				BIOS 01.06.0001
=================================================================================  
- Fixed: Remove NUMA setup option in Intel(R) Server Board S1400SP.                                     
- Fixed: IO_MOD/SAS_MOD slot number is displayed incorrectly in Microsoft* Windows* 2008.      
- Fixed: When the PCIe slot option ROM is set to disabled in BIOS setup, the option RoM is still enabled. 
- Fixed: WHEAHCT Logo Test fails in some Microsoft* Windows* certification.                
- Fixed: BIOS Setup screen may hang when loading efi image.
- Fixed: Some USB devices can not be recognized in Bios USB configuration page.

Others:
- Update onboard SATA and SAS RAID option rom versions 
- Update MRC rev. to 01.00.00.18
- Display RAID configuration page in Quite Boot Mode when option rom is dispatched
- Add PCIe Performance Tuning Knobs setup items
- Add warnings in post screen when showing the capacity of the onboard RAID controller
- Add memory 1866Mhz support for some platforms
- Add fix in SMM hook in the runtime service
 
================================================================================   
 				BIOS 01.05.0001
=================================================================================  
- Fixed: User privilege of RMM4's channel3 mismatch with BIOS setup.
- Fixed: Abnormal items will be displayed in PCIe slot OPROM control page after 
         pressing F9 and then discard changes.
- Fixed: Onboard NIC can not be disabled through BIOS setup on Intel(R) Server board S2600IP.
- Fixed: There is "unknown device" in boot order when USB floppy plugs.

Others:
- Add Intel(R) Server Board S1400SP support.
- Fix some compatbile issue on memory Dimms with Atmel sensor.
- Update processor microcode.

================================================================================   
 				BIOS 01.04.0001
=================================================================================  
- Fixed: There are some error information in smbios type 178 on some platform.
- Fixed: BIOS Server Management Screen is not compliant with specification.
- Fixed: No Type 10 information within the SMBIOS table.
- Fixed: Only Serial port B could be found under Serial Port Config on some product.
- Fixed: Fix a bug in redirecting a Microsoft* Windows* OS ISO image file to another 
         system from a remote client. 
- Fixed: Can not disable NIC1 port1 in BIOS setup on Intel Server Board(R) S1400SP.
- Fixed: Some failures in SMBIOS Type 8 and Type 10 structure.
- Fixed: No ACPI S1 peripheral wake support under Red Hat* Linux 6.2 on Intel Server 
         Board(R) S4600LH.
- Fixed: Workaround for SDR Version incorrect in some cases.

Others:
- Add enable/Disable Option for PCIe option Rom.
- Add support socket 3 and 4 in Legacy VGA socket on Intel Server Board(R) S4600LH.
- Add PCIE CTLE setting on Intel Server Board(R) S1400SP.

================================================================================   
 				BIOS 01.03.0002
=================================================================================  
- Fixed: NIC Information can not be saved in the Sysinfo log file and it cannot be 
	 retrieved or set using the syscfg utility. 
- Fixed: If Remotely redirecting an ISO image from a client and the target system is restarted, 
	 the target system will automatically boot to the redirected ISO image and start an OS installation.

================================================================================   
 				BIOS 01.03.0001
================================================================================= 
- Fixed: On GUID based partitions any SMI call freezes system.
- Fixed: When the baseboard LAN IPV6 is enabled in BIOS setup, the RMM4 configuration is greyed out.
- Fixed: Unable to disable onboard NIC ports in BIOS setup.
- Fixed: C1E is disabled when both C3 and C6 processor Cstates are disabled in BIOS setup.
- Fixed: In BIOS setup, Serial B is incorrectly set to disabled by default and cannot be enabled.
- Fixed: TPM Admin Control option should be disabled (grayed out) when the BIOS admin password is not set.

================================================================================   
 				BIOS 01.02.0010
=================================================================================  
- Fixed: Onboard NIC2 MAC address can not be shown correctly and it can't boot to PXE from NIC2 on
         Intel(R) Server Board S2400EP. 

================================================================================   
 				BIOS 01.02.0009
=================================================================================  
- Fixed: Update add-in video output policy

================================================================================   
 				BIOS 01.02.0008
=================================================================================  
- Fixed: PCIe slot 5 max link width can only be detectes as x4 on Intel(R) Server Board S1400FP.
- Fixed: EFI network stack incorrectly uses Mezzenine NIC port.
- Fixed: FRB2 timer will reset the system after 6 minutes when entering BIOS Setup via the <F6> boot menu.
- Fixed: System cannot enter EUP Lot6 deep sleep mode.
- Fixed: PCIe link speed changes occur without logging a SEL event.
- Fixed: During POST, populeated PCIe slots numbers are incorrectly identified.
- Fixed: Cannot change Serial Port A to IRQ3 on Intel(R) Server Board S2600JF.
- Fixed: NIC1 and NIC2 cannot be disabled on Intel(R) Server Board S2400SC.
- Fixed: ACPI errors are reported in dmesg.log in SUSE* Linux* 11 SP2 RC x64.

================================================================================ 
 				BIOS 01.02.0007
=================================================================================
- Fixed: W2600CR Windows* 7 WHQL cert Failure - Single computer Display object Test Failure

================================================================================ 
 				BIOS 01.02.0006
=================================================================================
Others:
- Update ME version to 02.01.05.091

=================================================================================     
 				BIOS 01.02.0004                                     
=================================================================================
- Fixed:  S4 resume function is not stable on S2400BB.
- Fixed:  Correct some products' onboard slot numbers shown in Windows device manage
- Fixed:  Some NIC IO Modules cann't be displayed in the NIC Configuration page of BIOS Setup.
- Fixed:  Added specific blades items for S2600KI
- Fixed:  Workstation System cannot enter S3 state in UEFI Windows* 7.
- Fixed:  Onboard NIC device still can be detected in OS after disabled in BIOS
- Fixed:  MAC addresses are not shown in BIOS setup on S2400EP Dual port SKU.
- Fixed:  Some BIOS setup pages have incorrect strings and use incorrect format
- Fixed:  ME interface fails sometime after S3 resume back on S2600CP
- Fixed:  SMBIOS Type 8 of some product has some incorrect information
- Fixed:  Intel(R) X520-T2 10G NIC did not work at expected PCI-E link speed
- Fixed:  The HDD Fault LED on HSBP might behave incorrectly under some specific configurations.
- Fixed:  System sometimes cann't detect PCI-x storage card.

Others:
- Update new processor microcode and onboard device option roms

=================================================================================     
 				BIOS 01.02.0003                                      
=================================================================================
- Fixed:  NIC1 and NIC2 cannot be disabled in BIOS setup.
- Fixed:  Legacy VGA on CPU socket one is greyed out when add-in VGA card is associated with CPU socket 2.
- Fixed:  Serial over LAN cannot be activated via IPMI with Console Redirection enabled in BIOS setup. 
- Fixed:  PXE OPRom inoperative.
- Fixed:  ISCSI option missing on some platforms. 
- Fixed:  Implementation of "Iflash32 -rd" to load defaults on next system reset.
- Fixed:  The DIMM fault LED behaves incorrectly on DIMM_D3 under memory Sparing mode.
- Fixed:  Some Intel(R) NIC IO modules can't be detected under Microsoft* Windows* 2008, SP2.
- Fixed:  The information for Onboard NICs is shown incorrectly in BIOS setup.
- Fixed:  RAID RSTe OpROM fails to launch on AHCI SATA ports in RAID configuration.
- Fixed:  There is no "RMM4 IPv6 Enable/Disable" option in BIOS setup.
- Fixed:  The default value of Lan port PXE will show disabled for Intel(R) NIC I/O module.
- Fixed:  CPU information is shown incorrectly in SMBIOS table if the user populates different frequency processors.
- Fixed:  Active Processor Cores cannot be changed in BIOS setup.
- Fixed:  Turbo boost will be disabled when choosing the balanced performance policy in BIOS setup.
- Fixed:  Unexpected SEL entries logged after BIOS update.

=================================================================================     
 				BIOS 01.01.1002                                      
================================================================================= 
- First production release BIOS.
   

[END OF RELEASE NOTES]
